Function
arrayConstructCopy
Copy constructs an array of objects into in a given memory buffer.
arrayConstructCopy(source_begin, source_end, target)
Include Headers
seqan/basic.h
Parameters

source_begin | Iterator to the first element of the source range.
source_end | Iterator behind the last element of the source range. source_end should have the same type as source_begin.

target

Pointer to the memory block the new objects will be constructed in.
The type of target specifies the type of the constructed objects: If T* is the type of target, then the function constructs objects of type T.
The memory buffer should be large enough to store source_end - source_begin objects. An appropriate (copy-) constructor that constructs an target objects given a source object is required.

See Also
arrayConstruct, arrayCopyForward, valueConstruct, allocate, arrayDestruct, arrayCopy, arrayConstructMove
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:46